MTLS Certificates
mtls_certificates
Methods
get/accounts/{account_id}/mtls_certificates
Lists all mTLS certificates.
get/accounts/{account_id}/mtls_certificates/{mtls_certificate_id}
Fetches a single mTLS certificate.
Upload M TLS Certificate -> Envelope<{ id, ca, certificates, 7 more... }>
post/accounts/{account_id}/mtls_certificates
Upload a certificate that you want to use with mTLS-enabled Cloudflare services.
Security
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Account: SSL and Certificates Write
path Parameters
account_id: string
(maxLength: 32)Identifier.
Response fields
errors: Array<{ code, message, documentation_url, 1 more... }>
messages: Array<{ code, message, documentation_url, 1 more... }>
success: true
Whether the API call was successful.
result: { id, ca, certificates, 7 more... }
Optional
Request example
200Example
delete/accounts/{account_id}/mtls_certificates/{mtls_certificate_id}
Deletes the mTLS certificate unless the certificate is in use by one or more Cloudflare services.
Domain types
MTLSCertificate = { id, ca, certificates, 6 more... }
MTLS Certificates
Associations
mtls_certificates.associations
Methods
get/accounts/{account_id}/mtls_certificates/{mtls_certificate_id}/associations
Lists all active associations between the certificate and Cloudflare services.
Domain types
CertificateAsssociation = { service, status }